microsoft-foundry.rest.security.o-auth2-auth
Routines
List routines
GET
/routines
Returns the routines available in the current project.
헤더 매개 변수
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Routines=V2Preview
쿼리 매개 변수
limit
integer
The maximum number of routines to return.
after
string
An opaque continuation token identifying where to resume the list. Prefer following the next_link returned by the previous response, which embeds this value.
order
enum
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc
for descending order.
ascdesc
api-version
string
필수
The API version to use for this operation.
응답
The request has succeeded.
본문
Content-Type: application/json
data
Routine[]
필수
The requested list of items.
next_link
string
The URL to fetch the next page of results, or absent if there are no additional pages.
요청
GET /routines HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json